package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.FinderException;

// Cruise EJB's remote home interface
public interface CruiseHomeRemote extends javax.ejb.EJBHome {

    public CruiseRemote create(String name, Integer ship)
        throws javax.ejb.CreateException, RemoteException;

    public CruiseRemote findByPrimaryKey(Object primaryKey)
        throws javax.ejb.FinderException, RemoteException;

    public Collection findAllCruises()
        throws FinderException, RemoteException;

    public CruiseRemote findByName(String name)
        throws FinderException, RemoteException;

}
